#!/usr/bin/env python

"""
    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>

	This is version 0.0.1
	See bottom of source for changelog
"""

"""
    One Way Trip
"""

import pygame, sys, math

from peafire import PeaFire

from pygame.locals import *

FPS = 30 # frames per second
WINDOWWIDTH = 640 # size of window's width
WINDOWHEIGHT = 480 # size of windows' height

pygame.init()

SCREEN = pygame.display.set_mode((WINDOWWIDTH, WINDOWHEIGHT))
#SCREEN = pygame.display.set_mode((WINDOWWIDTH, WINDOWHEIGHT), FULLSCREEN|HWSURFACE|DOUBLEBUF)

myPeas = 15

miniGame = PeaFire(myPeas, SCREEN)
miniGame.play()
myPeas = miniGame.peasEscaped
print "Escaped: ", myPeas

pygame.quit()
sys.exit()

"""
	Changelog

	2012-09-?????
	version 0.0.1
	Initial Release

"""
